Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen
Class XPathSyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jaxen.saxpath.SAXPathException
                  org.jaxen.JaxenException
                      org.jaxen.XPathSyntaxException

All Implemented Interfaces:
  Serializable

public class XPathSyntaxException
extends JaxenException

Indicates an error during parsing of an XPath expression.

Author:
  bob mcwhirter, James Strachan
See Also:
  Serialized Form

Constructor Summary
`XPathSyntaxException(String xpath, int position, String message)` Constructor
`XPathSyntaxException(XPathSyntaxException e)` Create a new XPathSyntaxException wrapping an existing `org.jaxen.saxpath.XPathSyntaxException`.

Method Summary
`String` | `getMultilineMessage()` Retrieve the friendly multi-line error message.
`int` | `getPosition()` Retrieve the position of the error.
`String` | `getPositionMarker()` Retrieve a string useful for denoting where the error occurred.
`String` | `getXPath()` Retrieve the expression containing the error.

Methods inherited from class org.jaxen.saxpath.SAXPathException
`getCause, initCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathSyntaxException

    public XPathSyntaxException(XPathSyntaxException e)

  Create a new XPathSyntaxException wrapping an existing `org.jaxen.saxpath.XPathSyntaxException`.

Parameters:
  `e` - the exception that caused this exception

### XPathSyntaxException

    public XPathSyntaxException(String xpath,
                                int position,
                                String message)

  Constructor

Parameters:
  `xpath` - the erroneous XPath expression
  `position` - the position of the error
  `message` - the error message

Method Detail

### getPosition

    public int getPosition()

  Retrieve the position of the error.

  Returns:
    the position of the error

### getXPath

    public String getXPath()

  Retrieve the expression containing the error.

  Returns:
    the erroneous expression

### getPositionMarker

    public String getPositionMarker()

  Retrieve a string useful for denoting where the error occurred.

  This is a string composed of whitespace and a marker at the position (see `getPosition()`) of the error. This is useful for creating friendly multi-line error displays.

  Returns:
    the error position marker

### getMultilineMessage

    public String getMultilineMessage()

  Retrieve the friendly multi-line error message.

  This returns a multi-line string that contains the original erroneous XPath expression with a marker underneath indicating exactly where the error occurred.

  Returns:
    the multi-line error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.